#
# Conditional build:
%bcond_without	static_libs # static library

Summary:	Multi-format archive and compression library
Summary(pl.UTF-8):	Biblioteka do archiwizacji i kompresji w wielu formatach
Name:		libarchive
Version:	3.7.3
Release:	1%{?tld}
License:	BSD
Group:		Libraries
# see main page, downloads index may be out of date
#Source0Download: http://www.libarchive.org/
Source0:	https://www.libarchive.org/downloads/%{name}-%{version}.tar.xz
# Source0-md5:	b60683739a16ff6f00f32aa3516402ed
Patch0:		%{name}-man_progname.patch
URL:		http://www.libarchive.org/
BuildRequires:	acl-devel
BuildRequires:	attr-devel
BuildRequires:	autoconf >= 2.71
BuildRequires:	automake >= 1:1.11
BuildRequires:	bzip2-devel
# for <ext2fs/ext2_fs.h>
BuildRequires:	e2fsprogs-devel
BuildRequires:	libb2-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2
BuildRequires:	lz4-devel >= r131
BuildRequires:	lzo-devel >= 2
BuildRequires:	nettle-devel
BuildRequires:	pkgconfig
BuildRequires:	richacl-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	xz-devel >= 1:5.2
BuildRequires:	zlib-devel
BuildRequires:	zstd-devel
Requires:	lz4-libs >= r131
Requires:	xz-libs >= 1:5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libarchive is a programming library that can create and read several
different streaming archive formats, including most popular TAR
variants, several CPIO formats, and both BSD and GNU ar variants. It
can also write SHAR archives and read ISO9660 CDROM images and ZIP
archives.

See README for complete format support.

%description -l pl.UTF-8
Libarchive to biblioteka potrafiąca tworzyć i odczytywać kilka różnych
formatów archiwów strumieniowych, w tym najbardziej popularne warianty
archiwów TAR, kilka formatów CPIO oraz warianty BSD oraz GNU archiwów
ar. Potrafi także zapisywać archiwa SHAR oraz odczytywać obrazy CDROM
ISO9660 i archiwa ZIP.

Pełny wykaz obsługiwanych formatów znajduje się w pliku README.

%package devel
Summary:	Header files for libarchive library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libarchive
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	acl-devel
Requires:	attr-devel
Requires:	bzip2-devel
Requires:	libb2-devel
Requires:	libxml2-devel
Requires:	lz4-devel >= r131
Requires:	nettle-devel
Requires:	richacl-devel
Requires:	xz-devel >= 1:5.2
Requires:	zlib-devel
Requires:	zstd-devel

%description devel
Header files for libarchive library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libarchive.

%package static
Summary:	Static libarchive library
Summary(pl.UTF-8):	Statyczna biblioteka libarchive
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libarchive library.

%description static -l pl.UTF-8
Statyczna biblioteka libarchive.

%package -n bsdcat
Summary:	bsdcat - cat(1) implementation based on libarchive
Summary(pl.UTF-8):	bsdcat - implementacja programu cat(1) oparta na libarchive
Group:		Applications/Archiving
Requires:	%{name} = %{version}-%{release}

%description -n bsdcat
bsdcat - cat(1) implementation based on libarchive.

%description -n bsdcat -l pl.UTF-8
bsdcat - implementacja programu cat(1), oparta na libarchive.

%package -n bsdcpio
Summary:	bsdcpio - cpio(1) implementation based on libarchive
Summary(pl.UTF-8):	bsdcpio - implementacja programu cpio(1) oparta na libarchive
Group:		Applications/Archiving
Requires:	%{name} = %{version}-%{release}

%description -n bsdcpio
bsdcpio - cpio(1) implementation based on libarchive.

%description -n bsdcpio -l pl.UTF-8
bsdcpio - implementacja programu cpio(1), oparta na libarchive.

%package -n bsdtar
Summary:	bsdtar - tar(1) implementation based on libarchive
Summary(pl.UTF-8):	bsdtar - implementacja programu tar(1) oparta na libarchive
Group:		Applications/Archiving
Requires:	%{name} = %{version}-%{release}

%description -n bsdtar
bsdtar - tar(1) implementation based on libarchive.

%description -n bsdtar -l pl.UTF-8
bsdtar - implementacja programu tar(1), oparta na libarchive.

%package -n bsdunzip
Summary:	bsdunzip - unzip(1) implementation based on libarchive
Summary(pl.UTF-8):	bsdunzip - implementacja programu unzip(1) oparta na libarchive
Group:		Applications/Archiving
Requires:	%{name} = %{version}-%{release}

%description -n bsdunzip
bsdunzip - unzip(1) implementation based on libarchive.

%description -n bsdunzip -l pl.UTF-8
bsdunzip - implementacja programu unzip(1), oparta na libarchive.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I build/autoconf
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="%{rpmcppflags} -I/usr/include/lz4"
# disable openssl, nettle has all necessary functionality
%configure \
	--disable-silent-rules \
	--enable-bsdcat=shared \
	--enable-bsdcpio=shared \
	--enable-bsdtar=shared \
	--enable-static%{!?with_static_libs:=no} \
	--with-lzo2 \
	--without-openssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libarchive.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS COPYING
%attr(755,root,root) %{_libdir}/libarchive.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libarchive.so.13

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libarchive.so
%{_includedir}/archive*.h
%{_mandir}/man3/archive_*.3*
%{_mandir}/man3/libarchive.3*
%{_mandir}/man3/libarchive_changes.3*
%{_mandir}/man3/libarchive_internals.3*
%{_mandir}/man5/libarchive-formats.5*
%{_mandir}/man5/cpio.5*
%{_mandir}/man5/mtree.5*
%{_mandir}/man5/tar.5*
%{_pkgconfigdir}/libarchive.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libarchive.a
%endif

%files -n bsdcat
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bsdcat
%{_mandir}/man1/bsdcat.1*

%files -n bsdcpio
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bsdcpio
%{_mandir}/man1/bsdcpio.1*

%files -n bsdtar
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bsdtar
%{_mandir}/man1/bsdtar.1*

%files -n bsdunzip
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bsdunzip
%{_mandir}/man1/bsdunzip.1*
%changelog
* Tue Apr 23 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libarchive.git;a=log;h=master

* Tue Apr 09 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> c6304e2
- Up to 3.7.3

* Sat Mar 30 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> fc32b80
- rel 2; improves changes made by user who bacdoored xz - https://github.com/libarchive/libarchive/pull/1609

* Tue Sep 12 2023 Jan Palus <atler@pld-linux.org> df04b2d
- up to 3.7.2

* Sun Jul 30 2023 Jan Palus <atler@pld-linux.org> f63cc85
- up to 3.7.1

* Wed Jan 04 2023 Jakub Bogusz <qboosh@pld-linux.org> 4516511
- added pc patch (remove iconv from Requires.private); release 2

* Sat Dec 10 2022 Jan Palus <atler@pld-linux.org> 5a5c010
- up to 3.6.2

* Fri Apr 08 2022 Jan Palus <atler@pld-linux.org> f64bdec
- updated source url to https

* Fri Apr 08 2022 Jan Palus <atler@pld-linux.org> 8bb46c9
- up to 3.6.1

* Thu Mar 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 78b9639
- updated to 3.6.0

* Tue Aug 24 2021 Jan Palus <atler@pld-linux.org> d33cd69
- up to 3.5.2

* Wed May 05 2021 Marcin Krol <hawk@tld-linux.org> 44d5692
- rediffed

* Thu Dec 31 2020 Jan Palus <atler@pld-linux.org> 50a596a
- up to 3.5.1

* Sat Jul 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 94db742
- updated to 3.4.3

* Tue Mar 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 00e5cde
- updated to 3.4.2

* Fri Sep 13 2019 Jakub Bogusz <qboosh@pld-linux.org> b28cb0a
- updated to 3.4.0, enabled BLAKE2 hashes support via libb2

* Wed Jun 26 2019 Adam Gołębiowski <adamg@pld-linux.org> d2c10e4
- release 2, rebuild against libnettle.so.6 (nettle-3.5)

* Tue Oct 02 2018 Adam Gołębiowski <adamg@pld-linux.org> 9582519
- updated to 3.3.3

* Wed Dec 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 3c25a43
- updated to 3.3.2
- BR: richacl-devel (for NFSv4 ACLs support)

* Thu Mar 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 7458d87
- updated to 3.3.1
- drop .la file

* Tue Jan 10 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e377f8a
- Update to 3.2.2 (security fixes)

